using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using ZXDT.DBUtility;

namespace ZXDT.CallCenter.DAL
{
	public partial class  T_SYS_Time
    {
		public T_SYS_Time()
		{ }
		#region  BasicMethod



		/// <summary>
		/// 增加一条数据
		/// </summary>
		public bool Add(ZXDT.CallCenter.Model.T_SYS_Time model)
		{
			StringBuilder strSql = new StringBuilder();
			strSql.Append("insert into T_SYS_Time(");
			strSql.Append("F_WorkStartTimes,F_WorkEndTimes)");
			strSql.Append(" values (");
			strSql.Append("SQL2012F_WorkStartTimes,SQL2012F_WorkEndTimes)");
			SqlParameter[] parameters = {
					new SqlParameter("SQL2012F_WorkStartTimes", SqlDbType.NChar,10),
					new SqlParameter("SQL2012F_WorkEndTimes", SqlDbType.NChar,10)};
			parameters[0].Value = model.F_WorkStartTimes;
			parameters[1].Value = model.F_WorkEndTimes;

			int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_SYS_Time model)
		{
			StringBuilder strSql = new StringBuilder();
			strSql.Append("update T_SYS_Time set ");
			strSql.Append("F_WorkStartTimes=SQL2012F_WorkStartTimes,");
			strSql.Append("F_WorkEndTimes=SQL2012F_WorkEndTimes");
			strSql.Append(" where ");
			SqlParameter[] parameters = {
					new SqlParameter("SQL2012F_WorkStartTimes", SqlDbType.NChar,10),
					new SqlParameter("SQL2012F_WorkEndTimes", SqlDbType.NChar,10)};
			parameters[0].Value = model.F_WorkStartTimes;
			parameters[1].Value = model.F_WorkEndTimes;

			int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete()
		{
			//该表无主键信息，请自定义主键/条件字段
			StringBuilder strSql = new StringBuilder();
			strSql.Append("delete from T_SYS_Time ");
			strSql.Append(" where ");
			SqlParameter[] parameters = {
			};

			int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_SYS_Time GetModel()
		{
			//该表无主键信息，请自定义主键/条件字段
			StringBuilder strSql = new StringBuilder();
			strSql.Append("select  top 1 F_WorkStartTimes,F_WorkEndTimes from T_SYS_Time ");
			strSql.Append(" where ");
			SqlParameter[] parameters = {
			};

			ZXDT.CallCenter.Model.T_SYS_Time model = new ZXDT.CallCenter.Model.T_SYS_Time();
			DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
			if (ds.Tables[0].Rows.Count > 0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_SYS_Time DataRowToModel(DataRow row)
		{
			ZXDT.CallCenter.Model.T_SYS_Time model = new ZXDT.CallCenter.Model.T_SYS_Time();
			if (row != null)
			{
				if (row["F_WorkStartTimes"] != null)
				{
					model.F_WorkStartTimes = row["F_WorkStartTimes"].ToString();
				}
				if (row["F_WorkEndTimes"] != null)
				{
					model.F_WorkEndTimes = row["F_WorkEndTimes"].ToString();
				}
			}
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql = new StringBuilder();
			strSql.Append("select F_WorkStartTimes,F_WorkEndTimes ");
			strSql.Append(" FROM T_SYS_Time ");
			if (strWhere.Trim() != "")
			{
				strSql.Append(" where " + strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top, string strWhere, string filedOrder)
		{
			StringBuilder strSql = new StringBuilder();
			strSql.Append("select ");
			if (Top > 0)
			{
				strSql.Append(" top " + Top.ToString());
			}
			strSql.Append(" F_WorkStartTimes,F_WorkEndTimes ");
			strSql.Append(" FROM T_SYS_Time ");
			if (strWhere.Trim() != "")
			{
				strSql.Append(" where " + strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql = new StringBuilder();
			strSql.Append("select count(1) FROM T_SYS_Time ");
			if (strWhere.Trim() != "")
			{
				strSql.Append(" where " + strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql = new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby);
			}
			else
			{
				strSql.Append("order by T. desc");
			}
			strSql.Append(")AS Row, T.*  from T_SYS_Time T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

	 

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod

	}
}
